package com.bonus.canteen.core.supply.constant;

import cn.hutool.core.util.NumberUtil;

import java.math.BigDecimal;

public class DrpUtil {
   public static BigDecimal priceDevice100(Integer price) {
      return null == price ? null : NumberUtil.div(new BigDecimal(price), new BigDecimal(100), 2);
   }

   public static BigDecimal priceDevice100(Long price) {
      return null == price ? null : NumberUtil.div(new BigDecimal(price), new BigDecimal(100), 2);
   }

   public static String getCommitStatus(Integer status) {
      return DrpCommitStatusEnum.getValue(status);
   }
}
